System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Attribute System.AttributeUsage(System.AttributeTargets.Class)

The is used in combination with the to determine how nested content of a control is interpreted. If is true and is false, the nested content contained within an ASP.NET server control is persisted as controls. If is false and is true, the nested content is persisted as properties of the server control. For more information about using attributes, see Extending Metadata Using Attributes.

Defines an attribute that is used by ASP.NET server controls to indicate at design time whether nested content that is contained within a server control corresponds to controls or to properties of the server control. This class cannot be inherited.

- Constructor
  To be added

  Initializes a new instance of the class using a Boolean value indicating whether to persist nested content as nested controls.

  true to persist the nested content as nested controls; otherwise, false.
  1.0.5000.0
  2.0.0.0
- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class using two Boolean values. One indicating whether to persist nested content as nested controls and the other indicating whether to use a custom persistence method.

  true to persist nested content as nested controls; otherwise, false.
  true to use customized persistence; otherwise, false.
- Field
  System.Web.UI.PersistChildrenAttribute

  The default value for the field is Yes, indicating that nested content is persisted at design time.

  Indicates the default attribute state. The field is read-only.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` To be added

  Determines whether the specified object is equal to the current object.

  true if is equal to the current object; otherwise, false.

  The object to compare with the current object. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 To be added

  Serves as a hash function for the class.

  A hash code for the .

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean To be added

  Returns a value indicating whether the value of the current instance of the class is the default value of the derived clss.

  true if the value of the current instance of the is the default instance; otherwise, false.

  1.0.5000.0
  2.0.0.0
- Field
  System.Web.UI.PersistChildrenAttribute

  If the field is called, the inner content of a server control is persisted as properties, not as server.

  Indicates that nested content should not persist as nested controls at design time. This field is read-only.

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool' To be added

  Gets a value that indicates whether the nested content is persisted as nested controls at design time.

  1.0.5000.0
  2.0.0.0
- Property
  2.0.0.0
  System.Boolean To be added.

  To configure nested content for custom persistence, use the overload that takes a parameter.

  Gets a value indicating whether the server control provides custom persistence of nested controls at design time.

- Field
  System.Web.UI.PersistChildrenAttribute

  If the field is called, nested content is persisted as controls.

  Indicates that nested content should persist as controls at design time. The field is read-only.

  1.0.5000.0
  2.0.0.0